# Configuration file for CORE (core-gui, core-daemon)

### GUI configuration options ###
[core-gui]
# no options are presently defined; see the ~/.core preferences file

### core-daemon configuration options ###
[core-daemon]
xmlfilever = 1.0
listenaddr = localhost
port = 4038
numthreads = 1
quagga_bin_search = "/usr/local/bin /usr/bin /usr/lib/quagga"
quagga_sbin_search = "/usr/local/sbin /usr/sbin /usr/lib/quagga"
# uncomment the following line to load custom services from the specified dir
#   this may be a comma-separated list, and directory names should be unique
#   and not named 'services'
#custom_services_dir = /home/username/.core/myservices
#
# uncomment to  establish a standalone control backchannel for accessing nodes
# (overriden by the session option of the same name)
#controlnet = 172.16.0.0/24
#
#
# uncomment and edit to establish a distributed control backchannel
#controlnet = core1:172.16.1.0/24 core2:172.16.2.0/24 core3:172.16.3.0/24 core4:172.16.4.0/24 core5:172.16.5.0/24

# uncomment and edit to establish distributed auxiliary control channels.
#controlnet1 = core1:172.17.1.0/24 core2:172.17.2.0/24 core3:172.17.3.0/24 core4:172.17.4.0/24 core5:172.17.5.0/24
#controlnet2 = core1:172.18.1.0/24 core2:172.18.2.0/24 core3:172.18.3.0/24 core4:172.18.4.0/24 core5:172.18.5.0/24
#controlnet3 = core1:172.19.1.0/24 core2:172.19.2.0/24 core3:172.19.3.0/24 core4:172.19.4.0/24 core5:172.19.5.0/24

# uncomment and edit to assign host interfaces to auxilary control channels
# for use in connecting with other servers in a distributed environments.
# Note: This is valid for auxiliary control channels only. The primary control
# channel, specified by 'controlnet', is tunneled across servers.
#controlnetif1 = eth2
#controlnetif2 = eth3
#controlnetif3 = eth4

# optional controlnet configuration script for controlnet, uncomment to
# activate, and likely edit the script.
# Note: the controlnet_updown_script is not used by the auxiliary control
# channels.
# controlnet_updown_script = /usr/local/share/core/examples/controlnet_updown
# publish nodes' control IP addresses to /etc/hosts
#update_etc_hosts = True

# EMANE configuration
emane_platform_port = 8101
emane_transform_port = 8201
emane_event_generate = True
emane_event_monitor = False
#emane_models_dir = /home/username/.core/myemane
# EMANE log level range [0,4] default: 2
#emane_log_level = 2
emane_realtime = True
